# ContentPeer QML Type

An application that can export or import a ContentType. More...

Import Statement: | import Lomiri.Content 1.1

- List of all members, including inherited members

## Properties

- appId : string
- contentType : ContentType
- handler : ContentHandler
- name : string
- selectionType : ContentTransfer.SelectionType

## Methods

- request(ContentStore)
- request()

## Detailed Description

A ContentPeer is an application that is registered in the ContentHub as a source or destination of a ContentType

See documentation for ContentHub

## Property Documentation

appId : string

When set, this property allows for a specific application to be used as a peer.

contentType : ContentType

Specifies the ContentType this peer should support.

handler : ContentHandler

Specifies which ContentHandler this peer should support (e.g. Source, Destination, Share).

name : string

Returns user friendly name of the peer.

selectionType : ContentTransfer.SelectionType

Specifies whether this peer is allowed to return multiple items.

## Method Documentation

request(ContentStore)

Request to an active transfer from this ContentPeer and use a ContentStore for permanent storage.

request()

Request an active transfer from this ContentPeer.